package ink.wgink.module.file.media.pojo.dtos.rtmp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ClientDTO
 * @Description: rtmp客户端
 * @Author: CodeFactory
 * @Date: 2022-04-26 22:03:44
 * @Version: 3.0
 **/
@ApiModel
public class RtmpClientDTO {

    @ApiModelProperty(name = "clientId", value = "主键")
    private String clientId;
    @ApiModelProperty(name = "clientCode", value = "客户端编码")
    private String clientCode;
    @ApiModelProperty(name = "clientName", value = "客户端名称")
    private String clientName;
    @ApiModelProperty(name = "clientSummary", value = "客户端描述")
    private String clientSummary;
    @ApiModelProperty(name = "clientKey", value = "客户端用户名")
    private String clientKey;
    @ApiModelProperty(name = "clientSecret", value = "客户端密码")
    private String clientSecret;
    @ApiModelProperty(name = "clientStatus", value = "设备状态")
    private String clientStatus;
    @ApiModelProperty(name = "clientUrl", value = "客户端地址")
    private String clientUrl;
    @ApiModelProperty(name = "expireTime", value = "过期时间")
    private String expireTime;
    @ApiModelProperty(name = "areaCode", value = "地区编码")
    private String areaCode;
    @ApiModelProperty(name = "areaName", value = "地区名称")
    private String areaName;
    @ApiModelProperty(name = "positionLng", value = "位置经度")
    private String positionLng;
    @ApiModelProperty(name = "positionLat", value = "位置纬度")
    private String positionLat;
    @ApiModelProperty(name = "positionAddress", value = "位置地址")
    private String positionAddress;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;

    public String getClientId() {
        return clientId == null ? "" : clientId.trim();
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientSummary() {
        return clientSummary == null ? "" : clientSummary.trim();
    }

    public void setClientSummary(String clientSummary) {
        this.clientSummary = clientSummary;
    }

    public String getClientKey() {
        return clientKey == null ? "" : clientKey.trim();
    }

    public void setClientKey(String clientKey) {
        this.clientKey = clientKey;
    }

    public String getClientSecret() {
        return clientSecret == null ? "" : clientSecret.trim();
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getClientStatus() {
        return clientStatus == null ? "" : clientStatus.trim();
    }

    public void setClientStatus(String clientStatus) {
        this.clientStatus = clientStatus;
    }

    public String getClientUrl() {
        return clientUrl == null ? "" : clientUrl.trim();
    }

    public void setClientUrl(String clientUrl) {
        this.clientUrl = clientUrl;
    }

    public String getExpireTime() {
        return expireTime == null ? "" : expireTime.trim();
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getPositionLng() {
        return positionLng;
    }

    public void setPositionLng(String positionLng) {
        this.positionLng = positionLng;
    }

    public String getPositionLat() {
        return positionLat;
    }

    public void setPositionLat(String positionLat) {
        this.positionLat = positionLat;
    }

    public String getPositionAddress() {
        return positionAddress;
    }

    public void setPositionAddress(String positionAddress) {
        this.positionAddress = positionAddress;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }


}
